List PTR records for a dedicated server
GET
/v1/hosts/dedicated_servers/{server_id}/ptr_recordsIf you need to get a list of all the PTR records for a specific server, send a GET request to /v1/hosts/dedicated_servers/{server_id}/ptr_records. An ID has to be specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
server_id*string
A unique identifier of a server.
Query Parameters
per_page?integer
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
Range
1 <= value <= 100Default
20page?integer
The number of a page (>= 1) that will be returned. By default, it's 1.
Range
1 <= valueDefault
1sorting?string
This parameter sorts items. By default, it's id. You can sort by domain as well.
Default
"id"Value in
- "id"
- "domain"
direction?string
This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.
Default
"ASC"Value in
- "ASC"
- "DESC"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hosts/dedicated_servers/y1aKmJdQ/ptr_records"[ { "id": "BDbDxbl2", "ip": "100.0.0.28", "domain": "example-1319.com", "priority": 27, "ttl": 3600 }]{ "message": "Not found", "code": "NOT_FOUND"}{ "message": "Host is not ready", "code": "PRECONDITION_FAILED"}